Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.configuration
Interface ProcessNodeInfo

All Superinterfaces:
  Serializable

public interface ProcessNodeInfo
extends Serializable

Represents a node in the process definition

Method Summary
`int[]` | `getChildIds()` Returns an array of ids of all the child nodes.
`int` | `getId()` Returns the id of the process node
`String` | `getMethod()` Returns the name of the java method that is invoked as a part of executing this node if any
`String` | `getName()` Returns the name of the process node
`int` | `getParentId()` Returns the id of the parent node.
`int` | `getType()` Returns the type of the process node as defined in `com.bea.wli.bpm.common.NodeTypes`

Method Detail

### getName

    public String getName()

  Returns the name of the process node

  Returns:
    the name of the process node

### getMethod

    public String getMethod()

  Returns the name of the java method that is invoked as a part of executing this node if any

  Returns:
    the name of the java method

### getId

    public int getId()

  Returns the id of the process node

  Returns:
    the id of the process node

### getType

    public int getType()

  Returns the type of the process node as defined in `com.bea.wli.bpm.common.NodeTypes`

  Returns:
    the type of the process node

### getChildIds

    public int[] getChildIds()

  Returns an array of ids of all the child nodes.

  Returns:
    an array of ids of all the child nodes. Returns an empty array if the node does not have any children.

### getParentId

    public int getParentId()

  Returns the id of the parent node.

  Returns:
    the id of the parent node. Returns `-1` if the node does not have parent

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD